﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Examples7_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		AutoAffordRadChart.DataSource = GetChartData();
	}
	protected void AmortizationRadGrid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
	{
		double rate = 4.5;
		int term = 36;
		double balance = 0;
		double.TryParse(LoanAmtTB.Text, out balance);

		AmortizationRadGrid.DataSource = GetGridData();
	}

	public DataTable GetGridData()
	{
		DataTable dt = new DataTable();

		dt.Columns.Add("Month");
		dt.Columns.Add("Payment");
		dt.Columns.Add("Balance");

		dt.Rows.Add("1", "1234", "434645");
		dt.Rows.Add("2", "234", "4534645");
		dt.Rows.Add("3", "34", "534645");
		dt.Rows.Add("4", "534", "734645");

		return dt;
	}

	public DataTable GetChartData()
	{
		double dpayment = 550;
		double trade = 1000;
		double title = 450;
		double payment = 400;
		double interest = 877.50;

		double.TryParse(LoanAmtTB.Text, out dpayment);


		DataTable costs = new DataTable("Cost");
		costs.Columns.Add("costName");
		costs.Columns.Add("cost");
		costs.Rows.Add("Down Payment", dpayment);
		costs.Rows.Add("Net Trade-In", trade);
		costs.Rows.Add("Title", title);
		costs.Rows.Add("Payment", payment);
		costs.Rows.Add("Total Interest", interest);

		DataSet ds = new DataSet("Costs");
		ds.Tables.Add(costs);
		return ds.Tables["Cost"];
	}

	protected void CUCalcsAjaxManager_AjaxRequest(object sender, AjaxRequestEventArgs e)
	{
		if (e.Argument == "RebindAmortGrid")
		{
			AmortizationRadGrid.Rebind();
		}
	}
}